package jp.co.ois.hoge;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class HogeController {
	private static final Logger log = LoggerFactory.getLogger(HogeController.class);

	@ModelAttribute("hogeForm")
	public HogeForm createForm() {
		log.debug("called.");
		return new HogeForm();
	}

	@RequestMapping("/top")
	public String top(Model model) {
		log.debug("called.");
		return "hoge";
	}

	@RequestMapping("/names")
	public String names(HogeForm form, BindingResult result, Model model) {
		log.debug("called. {}", result.getErrorCount());
		String s = form.getName1() + form.getName2();
		log.debug("s = [{}]", s);
		model.addAttribute("result", s);
		return "hoge";
	}

}
